/**
 * Options for plugin remark-sectionize-headings, for details see
 * https://github.com/christian-hackyourshack/npm/tree/main/packages/remark-sectionize-headings
 */
interface Options {
    /**
     * This option adds a class corresponding to the heading to the injected
     * section.
     *
     * - string <name>, e.g. `section` to add classes `section section--h1`, ...
     * - false to disable class addition completely
     * - default: true, adds classes `h1`, `h2`, ...
     */
    addClass?: boolean | string;
    /**
     * Heading levels to wrap into sections
     *
     * - e.g. `[ 2, 3 ]` for only levels 2 & 3
     * - default: undefined, i.e. all
     */
    levels?: number[];
}
declare function export_default(options?: Options): (root: Node) => void;
interface Node {
    type: string;
    depth?: number;
    data?: Record<string, unknown>;
}

export { Options, export_default as default };
